export interface LoginData {
  account: string;
  password: string;
}

export interface UserItem {
  id: number;
  loginName: string; // 登录名
  name: string; // 名称
  employeeId?: string; // 工号 (可选)
  source: string; // 来源 (例如：内部用户)
  role: string; // 角色 (例如：学校管理员, 扫描员)
  status: 'enabled' | 'disabled'; // 状态 (启用/禁用)
  wechatLinked?: boolean; // 关联微信 (可选, 可能为显示字段)
  // 根据实际需要添加更多字段
}

export interface UserListFilter {
  name?: string; // 按名称搜索
  loginName?: string; // 按登录名搜索
  status?: 'enabled' | 'disabled'; // 按状态筛选
  role?: string; // 按角色筛选
  // 根据实际需要添加更多筛选字段
}

export interface UserUpdateParam {
  id?: number;
  loginName: string;
  name: string;
  employeeId: string;
  status: 'enabled' | 'disabled';
  role: string;
  password: string;
}

export interface ResetPasswordParam {
  ids: number[];
  password?: string; // 如果不传，后端可能会生成随机密码
}
export interface EnableUserParam {
  ids: number[];
  enabled: boolean;
}

export interface UpdatePwdData {
  // id: number;
  // oldPassword: string;
  password: string;
}

export interface BatchCreateUserParam {
  examId: number;
  role: string;
  namingRule: string;
  accountsPerGroup: number;
  randomPassword: boolean;
  password?: string;
  subjectIds: number[];
}
